2019-12-09 18:43 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000083FSSCPHT&Lpublic2008-02-22 02:39
ReporterLightspeed 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0000083: Targetting Boxes and Particles getting misaligned
DescriptionWhen your turn the camera ships at the edges of the screen will be rendered 'outside' the targetting box (when targetted) - when you move the camera so they're back in your reticle it will look normal again. This also happens with particles. A particle shot is fired, you move the ship so it's at the edge of your screen and they will look misaligned. You move back so its in the reticle again, and they're perfectly aligned once again.

Not really a severe bug, but tends to look crap, and it's pretty annoying.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001174resolvedtaylor HUD target brackets misplacement in wide-resolutions (1280x800) 
has duplicate 0001188resolvedtaylor Targetted ship boxes move away from ship at edge of view 
has duplicate 0001228resolvedtaylor Wide screen resolution problems with aiming reticule in relation to target box 
has duplicate 0001207resolvedtaylor Stars and nebulas not rotating correctly 
has duplicate 0001366resolvedtaylor Targeting brackets out of place in 16:9 
has duplicate 0001367resolvedtaylor Motion debris parallax incorrect in 16:9 
has duplicate 0001426resolvedtaylor Targetting box moves beyond target model 
has duplicate 0001423closed Misplaced object names and info when -fredhtl flag is used 
+Relationships

-Notes

~0000200

RandomTiger (developer)

Is this definately htl only?
Does it still happen?

~0000203

Lightspeed (reporter)

It is HT&L only. Yes, it still happens. (In 1_20_04)

~0000233

Bobboau (developer)

I'm thinking this is actualy an FOV bug, but I'm not sure, if it still shows up when useing the defalt fov, then this is a HT&L bug after all, but I havn't heard from LS if it shows up there

~0000236

Lightspeed (reporter)

I havent had the time to test with default FOV yet.

Will do it, though. :)

~0000330

ChronoReverse (reporter)

Last edited: 2004-03-05 19:40

Yeah, and the little secondaries cross is also rendered misaligned with the target aim reticle. It's not as apparent with default FOV but it still occurs.

edited on: 03-05-04 19:40

~0000354

Bobboau (developer)

ok, if I change the FOV I can see this, I tryed makeing a change to the ratio but it seems that it isn't as simple as a multiplication factor, it's like there is some non-scaler being applyed, I supose I could add a comand line that would be a aspect fix, but you'd have to use trial and error to find the corect settings for you'r fov setings

~0000413

Lightspeed (reporter)

add it - I like manual tweakage.

~0000529

RandomTiger (developer)

Could screenshots help?

~0000553

Lightspeed (reporter)

Just shout if you need any, I can supply plenty of 'em.

~0000905

Lightspeed (reporter)

Update: Today I just noticed the situation has changed...

With the new builds (the last few) any particles or trails will NOT get misaligned anymore. (probably because they're also HT-L rendered now?)

The ONLY thing still getting misaligned is the targetting boxes.

~0000908

RandomTiger (developer)

As far as I know they are still rendered in the same way

~0000912

Lightspeed (reporter)

That's odd, because they work fine now. The bug now only applies to targetting boxes.

~0001898

administrator (administrator)

Very stale, I assume this needs re-assigned?

~0005424

taylor (administrator)

Guess I'll have to take this one. I've been making changes to reduce the wasted cycles associated with these view calls anyway. The ultimate goal is to fix the nasty work of this hacked-in HTL view code and actually do it properly.

~0005470

Shotman (reporter)

I think its something with FOV

~0005471

taylor (administrator)

"I think its something with FOV"

Yes, it's an issue with the difference between the orthographic (for the lines) and the projection (for the models) views. The orthographic view doesn't take FOV into account. We just have to make the FOV from the projection matrix factor in to the orthographic view. With the current code however, that's much easier said than done.

~0005647

ax3001 (reporter)

for more info about this problem see bug 926

~0006280

ARSPR (reporter)

I've just noticed that this distortion happens even with default FOV, (no launcher flag), although it's small.

Look at the attached screenshots.

~0006281

taylor (administrator)

It will happen with any FOV, just to different degrees. Models are rendered with a FOV applied, lines aren't. That's the problem, and what makes it not very easy to fix.

~0008027

ScoutNight (reporter)

Any update on progress with this?

~0008028

taylor (administrator)

It's unlikely to be fixed until 3.7.

~0008893

taylor (administrator)

The last bit of this should be fixed with Murleen's patch. More work will likely be done on this stuff for 3.7, but Murleen's code is a perfect solution in the meantime.


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2004-01-25 05:42 Lightspeed New Issue
2004-02-16 09:35 RandomTiger Note Added: 0000200
2004-02-16 18:33 Lightspeed Note Added: 0000203
2004-02-22 19:19 Bobboau Note Added: 0000233
2004-02-22 21:22 Lightspeed Note Added: 0000236
2004-03-05 19:39 ChronoReverse Note Added: 0000330
2004-03-05 19:40 ChronoReverse Note Edited: 0000330
2004-03-06 05:08 RandomTiger Status new => acknowledged
2004-03-06 20:03 Bobboau Note Added: 0000354
2004-03-10 18:26 Lightspeed Note Added: 0000413
2004-03-21 17:48 RandomTiger Note Added: 0000529
2004-03-21 18:06 Sticks Status acknowledged => assigned
2004-03-21 18:06 Sticks Assigned To => Sticks
2004-03-22 18:51 Lightspeed Note Added: 0000553
2004-05-07 19:51 Lightspeed Note Added: 0000905
2004-05-08 04:21 RandomTiger Note Added: 0000908
2004-05-08 17:56 Lightspeed Note Added: 0000912
2005-03-14 09:01 administrator Note Added: 0001898
2005-03-14 09:03 administrator Assigned To Sticks => Bobboau
2006-04-28 17:03 taylor Note Added: 0005424
2006-04-28 17:03 taylor Assigned To Bobboau => taylor
2006-05-05 11:55 Shotman Note Added: 0005470
2006-05-05 12:02 taylor Note Added: 0005471
2006-05-27 04:52 ax3001 Note Added: 0005647
2006-07-22 05:51 ARSPR File Added: Small_Missalignement_Without_FOV.zip
2006-07-22 05:52 ARSPR Note Added: 0006280
2006-07-22 08:38 taylor Note Added: 0006281
2006-12-18 16:28 taylor Relationship added has duplicate 0001174
2007-01-01 09:16 taylor Relationship added has duplicate 0001188
2007-01-17 13:04 taylor Relationship added has duplicate 0001228
2007-01-20 21:20 taylor Relationship added has duplicate 0001207
2007-04-12 02:22 taylor Relationship added has duplicate 0001366
2007-04-12 02:25 taylor Relationship added has duplicate 0001367
2007-04-24 06:49 ScoutNight Note Added: 0008027
2007-04-24 15:08 taylor Note Added: 0008028
2007-06-22 16:32 taylor Relationship added has duplicate 0001426
2007-07-23 15:33 Kazan Relationship added has duplicate 0001423
2008-02-22 02:39 taylor Status assigned => resolved
2008-02-22 02:39 taylor Fixed in Version => 3.6.10
2008-02-22 02:39 taylor Resolution open => fixed
2008-02-22 02:39 taylor Note Added: 0008893
+Issue History